Retrieve recent YouTube videos identified as sponsored content for a specific creator, with metadata and engagement insights for influencer marketing analysis.
Optionally pass fields in the request body to limit how many sponsoring brands are returned. You are billed per brand returned, capped at the full-bundle price. Fractional calls must be enabled on your API key. Otherwise, a request that includes fields returns a 400 error (FractionalCallsNotEnabled). For per-brand costs, see Field and Item Costs. For how fractional calls work, see Fractional Calls.
Map sponsorList to the number of sponsoring brands to return. Omit or pass an empty object to return all brands at the full-bundle price. For per-brand costs, see Field and Item Costs.
Show child attributes
Response
YouTube sponsorship data returned successfully.
YouTube sponsorship API response with sponsor-grouped videos and performance metrics.
{"docsConfig":{"theme":"maple","$schema":"https://mintlify.com/docs.json","name":"CreatorDB Documentation Center","description":"Documentation for CreatorDB's API, MCP server, web-based app (CreatorDB App), and Chrome extension (Creator Analytics by CreatorDB).","colors":{"primary":"#FF6117","light":"#FF7B3E","dark":"#cf6332"},"logo":{"light":"https://mintcdn.com/creatordb-589c46f5/p1h2Yy8EOiZPNCnz/logo/light.svg?fit=max\u0026auto=format\u0026n=p1h2Yy8EOiZPNCnz\u0026q=85\u0026s=4247a5684fe8a3c6f7c5ccb4e0993a4b","dark":"https://mintcdn.com/creatordb-589c46f5/p1h2Yy8EOiZPNCnz/logo/dark.svg?fit=max\u0026auto=format\u0026n=p1h2Yy8EOiZPNCnz\u0026q=85\u0026s=312daa702d126e8f4f6dd61f4433086e","href":"https://docs.creatordb.app/"},"favicon":"https://mintcdn.com/creatordb-589c46f5/p1h2Yy8EOiZPNCnz/favicon.svg?fit=max\u0026auto=format\u0026n=p1h2Yy8EOiZPNCnz\u0026q=85\u0026s=f9daacd616d0107c06a657618d9eb57e","api":{"playground":{"display":"interactive"},"examples":{"defaults":"all","languages":["bash","curl","javascript","python","php","ruby","go","java"],"prefill":true,"autogenerate":true}},"seo":{"metatags":{"canonical":"https://docs.creatordb.app","format-detection":"telephone=no","author":"CreatorDB","og:site_name":"CreatorDB Documentation Center","og:locale":"en_US"},"indexing":"navigable"},"fonts":{"family":"Inter"},"icons":{"library":"lucide"},"interaction":{"drilldown":true},"metadata":{"timestamp":true},"styling":{"latex":true},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"creatordb-589c46f5","hasAudioNarration":false,"actualSubdomain":"creatordb-589c46f5","customDomains":["docs.creatordb.app"],"gitSource":{"type":"github","owner":"creatordb","repo":"api-docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6ade9a9f8dc007203f185c3c","collectionId":"6e031f37-6190-4caf-9db0-1a4b0fc66bd1","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6ade9a9f8dc007203f185c3c"},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6ade9a9f8dc007203f185c3c","clientVersion":"0.0.3971","searchFilterCounts":[{"language":"default","tag":"CreatorDB API","count":106},{"language":"default","tag":"API Endpoints","count":71},{"language":"default","tag":"API Reference","count":60},{"language":"default","tag":"CreatorDB App","count":26},{"language":"default","tag":"YouTube","count":19},{"language":"default","tag":"User Guides","count":17},{"language":"default","tag":"CreatorDB User Guide","count":16},{"language":"default","tag":"Creator Analytics by CreatorDB","count":13},{"language":"default","tag":"Creator Analytics by CreatorDB User Guide","count":13},{"language":"default","tag":"Instagram","count":13}]},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":false,"enableAskAiSearchBar":true,"deflection":{"enabled":true,"type":"email","email":"product@creatordb.app"}},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[],"isAtlas":false,"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":"#navbar{padding:.3rem}.nav-logo{height:100px!important;width:auto!important}code{white-space:pre-wrap}footer{margin-top:2rem}"}],"page":{"pagePath":"api-reference/youtube/get-sponsorship-information","slug":"/api-reference/youtube/get-sponsorship-information","pageMetadata":{"title":"Get Sponsorship Information","description":"Retrieve recent YouTube videos identified as sponsored content for a specific creator, with metadata and engagement insights for influencer marketing analysis.\u003cbr />\u003cbr />Optionally pass `fields` in the request body to limit how many sponsoring brands are returned. You are billed per brand returned, capped at the full-bundle price. Fractional calls must be enabled on your API key. Otherwise, a request that includes `fields` returns a `400` error (`FractionalCallsNotEnabled`). For per-brand costs, see [Field and Item Costs](/api-v3/field-and-item-costs#youtube/sponsorship). For how fractional calls work, see [Fractional Calls](/api-v3/fractional-calls).","deprecated":null,"version":null,"openapi":"/api-v3/api-v3.yaml post /youtube/sponsorship","href":"/api-reference/youtube/get-sponsorship-information","autogeneratedByOpenApi":true},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n a: \"a\",\n code: \"code\",\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsxs(_components.p, {\n children: [\"Retrieve recent YouTube videos identified as sponsored content for a specific creator, with metadata and engagement insights for influencer marketing analysis.\", _jsx(\"br\", {}), _jsx(\"br\", {}), \"Optionally pass \", _jsx(_components.code, {\n children: \"fields\"\n }), \" in the request body to limit how many sponsoring brands are returned. You are billed per brand returned, capped at the full-bundle price. Fractional calls must be enabled on your API key. Otherwise, a request that includes \", _jsx(_components.code, {\n children: \"fields\"\n }), \" returns a \", _jsx(_components.code, {\n children: \"400\"\n }), \" error (\", _jsx(_components.code, {\n children: \"FractionalCallsNotEnabled\"\n }), \"). For per-brand costs, see \", _jsx(_components.a, {\n href: \"/api-v3/field-and-item-costs#youtube/sponsorship\",\n children: \"Field and Item Costs\"\n }), \". For how fractional calls work, see \", _jsx(_components.a, {\n href: \"/api-v3/fractional-calls\",\n children: \"Fractional Calls\"\n }), \".\"]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Get Sponsorship Information","description":"Retrieve recent YouTube videos identified as sponsored content for a specific creator, with metadata and engagement insights for influencer marketing analysis.\u003cbr />\u003cbr />Optionally pass `fields` in the request body to limit how many sponsoring brands are returned. You are billed per brand returned, capped at the full-bundle price. Fractional calls must be enabled on your API key. Otherwise, a request that includes `fields` returns a `400` error (`FractionalCallsNotEnabled`). For per-brand costs, see [Field and Item Costs](/api-v3/field-and-item-costs#youtube/sponsorship). For how fractional calls work, see [Fractional Calls](/api-v3/fractional-calls).","deprecated":null,"version":null,"openapi":"/api-v3/api-v3.yaml post /youtube/sponsorship","href":"/api-reference/youtube/get-sponsorship-information","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"tags":["YouTube"],"summary":"Get Sponsorship Information","operationId":"getYoutubeSponsorship","description":"Retrieve recent YouTube videos identified as sponsored content for a specific creator, with metadata and engagement insights for influencer marketing analysis.\u003cbr />\u003cbr />Optionally pass `fields` in the request body to limit how many sponsoring brands are returned. You are billed per brand returned, capped at the full-bundle price. Fractional calls must be enabled on your API key. Otherwise, a request that includes `fields` returns a `400` error (`FractionalCallsNotEnabled`). For per-brand costs, see [Field and Item Costs](/api-v3/field-and-item-costs#youtube/sponsorship). For how fractional calls work, see [Fractional Calls](/api-v3/fractional-calls).","requestBody":"3e6e84f1-eeff-4e99-a984-d5b1c3118d9f","x-codeSamples":[{"lang":"bash","label":"cURL","source":"curl -X POST \"https://apiv3.creatordb.app/youtube/sponsorship\" \\\n -H \"Content-Type: application/json\" \\\n -H \"api-key: \u003cYOUR_API_KEY_HERE>\" \\\n -d '{ \"channelId\": \"UCX6OQ3DkcsbYNE6H8uQQuVA\", \"fields\": { \"sponsorList\": 5 } }'\n"}],"responses":{"200":"86a8b51d-cf3b-4d99-9f85-1bcdf7af0448","400":"f764c8d6-a995-49d3-963d-acad4edec17e","429":"d90d2e43-72e7-4402-812f-87f71997ce9c"},"security":["a39bc0e0-54d6-4a5a-b8f1-dcc9de811725"],"servers":["127c18f5-e778-4004-8f05-14e96137b0f7"],"method":"post","type":"path","path":"/youtube/sponsorship","baseUrlOptions":["https://apiv3.creatordb.app"],"title":"Get Sponsorship Information","codeSamples":[{"label":"cURL","lang":"bash","source":"curl -X POST \"https://apiv3.creatordb.app/youtube/sponsorship\" \\\n -H \"Content-Type: application/json\" \\\n -H \"api-key: \u003cYOUR_API_KEY_HERE>\" \\\n -d '{ \"channelId\": \"UCX6OQ3DkcsbYNE6H8uQQuVA\", \"fields\": { \"sponsorList\": 5 } }'\n"}],"requestExampleLanguages":["bash","bash","javascript","python","php","ruby","go","java"],"requiredOnlyExamples":false,"requestExampleType":"codeSamples","responseExampleType":"generated","prefillPlaygroundWithExample":true,"prefillPlaygroundExamples":[{"body.channelId":"UCBR8-60-B28hp2BmDPdntcQ","body.uniqueId":"@youtube","body.fields.sponsorList.oneOf.0":5}]},"dependencies":{"parameters":{},"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"channelId":{"type":"string","description":"Unique channel ID. Provide exactly one of `channelId` or `uniqueId`.","pattern":"^UC[a-zA-Z0-9_-]{22}$","minLength":1,"maxLength":50,"examples":["UCBR8-60-B28hp2BmDPdntcQ"],"uniqueKey":"channelId","typeLabel":"string"},"uniqueId":{"type":"string","description":"YouTube channel handle. Accepts `youtube` or `@youtube` format (the `@` prefix is optional). Provide exactly one of `channelId` or `uniqueId`.","minLength":1,"maxLength":100,"examples":["@youtube"],"uniqueKey":"uniqueId","typeLabel":"string"},"fields":{"type":"object","description":"Map `sponsorList` to the number of sponsoring brands to return. Omit or pass an empty object to return all brands at the full-bundle price. For per-brand costs, see [Field and Item Costs](/api-v3/field-and-item-costs#youtube/sponsorship).","properties":{"sponsorList":{"oneOf":[{"type":"integer","description":"Number of sponsoring brands to return. Pass `null` to skip this field and be charged 0 for it.","minimum":0,"example":5,"uniqueKey":"fields.sponsorList.oneOf.0","typeLabel":"integer"},{"type":"null","description":"Number of sponsoring brands to return. Pass `null` to skip this field and be charged 0 for it.","example":5,"uniqueKey":"fields.sponsorList.oneOf.1","typeLabel":"null"}],"uniqueKey":"fields.sponsorList","typeLabel":"integer | null"}},"additionalProperties":false,"uniqueKey":"fields","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"channelId":"UCBR8-60-B28hp2BmDPdntcQ","uniqueId":"@youtube","fields":{"sponsorList":5}}}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"86a8b51d-cf3b-4d99-9f85-1bcdf7af0448":{"description":"YouTube sponsorship data returned successfully.","content":{"application/json":{"schema":{"type":"object","description":"YouTube sponsorship API response with sponsor-grouped videos and performance metrics.","properties":{"data":{"type":"object","description":"Retrieve data of recently sponsored YouTube videos for a specified creator.","properties":{"sponsorList":{"type":"array","description":"List of sponsors and their associated branded content.","items":{"type":"object","description":"A sponsor's branded videos and aggregated performance metrics.","properties":{"brandName":{"type":"string","description":"The sponsor name.","examples":["Acer"],"isRequired":true,"uniqueKey":"data.sponsorList.items.[INDEX].brandName","typeLabel":"string"},"brandId":{"type":"string","description":"The official website URL or unique identifier of the sponsor.","examples":["acer.com"],"isRequired":true,"uniqueKey":"data.sponsorList.items.[INDEX].brandId","typeLabel":"string"},"brandIgIds":{"type":"array","description":"The Instagram handles of the sponsor.","examples":[["acer"]],"items":{"type":"string","uniqueKey":"data.sponsorList.items.[INDEX].brandIgIds.items.[INDEX]","typeLabel":"string"},"isRequired":true,"uniqueKey":"data.sponsorList.items.[INDEX].brandIgIds","typeLabel":"string[]"},"sponsoredVideos":{"type":"array","description":"Recent sponsored YouTube videos data.","items":{"type":"object","description":"A recent sponsored YouTube video.","properties":{"publishTime":{"type":"integer","description":"Publish time, represented as a Unix timestamp in milliseconds.","examples":[1754797869000],"isRequired":true,"uniqueKey":"data.sponsorList.items.[INDEX].sponsoredVideos.items.[INDEX].publishTime","typeLabel":"integer"},"contentId":{"type":"string","description":"The unique identifier. Represented as follows: `https://www.youtube.com/watch?v={contentId}`","examples":["eHnzGYHEdO0"],"isRequired":true,"uniqueKey":"data.sponsorList.items.[INDEX].sponsoredVideos.items.[INDEX].contentId","typeLabel":"string"},"title":{"type":"string","description":"The sponsored video title.","examples":["ROBLOX OP ADMIN IN STEAL A BRAINROT"],"isRequired":true,"uniqueKey":"data.sponsorList.items.[INDEX].sponsoredVideos.items.[INDEX].title","typeLabel":"string"},"description":{"type":"string","description":"The sponsored video description, including emojis, mentions, URLs, and line breaks.","examples":["Roblox admin in steal a brainrot except way more OP. i gave almost everyone their stuff back its just fun to make these kids laugh in voice chat lol"],"isRequired":true,"uniqueKey":"data.sponsorList.items.[INDEX].sponsoredVideos.items.[INDEX].description","typeLabel":"string"},"length":{"type":"integer","description":"Video length in seconds.","examples":[873],"isRequired":true,"uniqueKey":"data.sponsorList.items.[INDEX].sponsoredVideos.items.[INDEX].length","typeLabel":"integer"},"isSponsored":{"type":"boolean","description":"`true` if sponsored.","examples":[true],"isRequired":true,"uniqueKey":"data.sponsorList.items.[INDEX].sponsoredVideos.items.[INDEX].isSponsored","typeLabel":"boolean"},"isMemberOnly":{"type":"boolean","description":"`true` if member-only.","examples":[false],"isRequired":true,"uniqueKey":"data.sponsorList.items.[INDEX].sponsoredVideos.items.[INDEX].isMemberOnly","typeLabel":"boolean"},"likes":{"type":"integer","description":"Number of likes.","examples":[10000],"isRequired":true,"uniqueKey":"data.sponsorList.items.[INDEX].sponsoredVideos.items.[INDEX].likes","typeLabel":"integer"},"comments":{"type":"integer","description":"Number of comments.","examples":[100],"isRequired":true,"uniqueKey":"data.sponsorList.items.[INDEX].sponsoredVideos.items.[INDEX].comments","typeLabel":"integer"},"views":{"type":"integer","description":"Number of views.","examples":[15000],"isRequired":true,"uniqueKey":"data.sponsorList.items.[INDEX].sponsoredVideos.items.[INDEX].views","typeLabel":"integer"},"engagementRate":{"type":"number","description":"Engagement rate, rounded to 4th decimal place. \u003cbr /> *Engagement Rate \u0026#61; (Likes + Comments) / Views*","examples":[0.1202],"isRequired":true,"uniqueKey":"data.sponsorList.items.[INDEX].sponsoredVideos.items.[INDEX].engagementRate","typeLabel":"number"},"hashtags":{"type":"array","description":"Keywords used in the video description.","examples":[["#VLOG"]],"items":{"type":"string","uniqueKey":"data.sponsorList.items.[INDEX].sponsoredVideos.items.[INDEX].hashtags.items.[INDEX]","typeLabel":"string"},"isRequired":true,"uniqueKey":"data.sponsorList.items.[INDEX].sponsoredVideos.items.[INDEX].hashtags","typeLabel":"string[]"}},"required":["publishTime","contentId","title","description","length","isSponsored","isMemberOnly","likes","comments","views","engagementRate","hashtags"],"uniqueKey":"data.sponsorList.items.[INDEX].sponsoredVideos.items.[INDEX]","typeLabel":"object"},"isRequired":true,"uniqueKey":"data.sponsorList.items.[INDEX].sponsoredVideos","typeLabel":"object[]"},"sponsoredVideosPerformance":{"type":"object","description":"Aggregated performance metrics for sponsored YouTube videos broken down by brands.","properties":{"likes":{"type":"object","description":"Likes statistics for sponsored YouTube videos broken down by brands.","properties":{"all":{"type":"integer","description":"Total number of likes across the last 20 sponsored YouTube videos.","minimum":0,"examples":[2944445],"isRequired":true,"uniqueKey":"data.sponsorList.items.[INDEX].sponsoredVideosPerformance.likes.all","typeLabel":"integer"},"avg":{"type":"integer","description":"Average likes per video for the last 20 sponsored YouTube videos, rounded to an integer.","minimum":0,"examples":[100],"isRequired":true,"uniqueKey":"data.sponsorList.items.[INDEX].sponsoredVideosPerformance.likes.avg","typeLabel":"integer"},"median":{"type":"integer","description":"Median number of likes across the last 20 sponsored YouTube videos.","minimum":0,"examples":[48],"isRequired":true,"uniqueKey":"data.sponsorList.items.[INDEX].sponsoredVideosPerformance.likes.median","typeLabel":"integer"},"min":{"type":"integer","description":"Minimum number of likes across the last 20 sponsored YouTube videos.","minimum":0,"examples":[20],"isRequired":true,"uniqueKey":"data.sponsorList.items.[INDEX].sponsoredVideosPerformance.likes.min","typeLabel":"integer"},"max":{"type":"integer","description":"Maximum number of likes across the last 20 sponsored YouTube videos.","minimum":0,"examples":[149],"isRequired":true,"uniqueKey":"data.sponsorList.items.[INDEX].sponsoredVideosPerformance.likes.max","typeLabel":"integer"}},"required":["all","avg","median","min","max"],"isRequired":true,"uniqueKey":"data.sponsorList.items.[INDEX].sponsoredVideosPerformance.likes","typeLabel":"object"},"comments":{"type":"object","description":"Comments statistics for sponsored YouTube videos broken down by brands.","properties":{"all":{"type":"integer","description":"Total number of comments across the last 20 sponsored YouTube videos.","minimum":0,"examples":[2944445],"isRequired":true,"uniqueKey":"data.sponsorList.items.[INDEX].sponsoredVideosPerformance.comments.all","typeLabel":"integer"},"avg":{"type":"integer","description":"Average comments per video for the last 20 sponsored YouTube videos, rounded to an integer.","minimum":0,"examples":[100],"isRequired":true,"uniqueKey":"data.sponsorList.items.[INDEX].sponsoredVideosPerformance.comments.avg","typeLabel":"integer"},"median":{"type":"integer","description":"Median number of comments across the last 20 sponsored YouTube videos.","minimum":0,"examples":[48],"isRequired":true,"uniqueKey":"data.sponsorList.items.[INDEX].sponsoredVideosPerformance.comments.median","typeLabel":"integer"},"min":{"type":"integer","description":"Minimum number of comments across the last 20 sponsored YouTube videos.","minimum":0,"examples":[20],"isRequired":true,"uniqueKey":"data.sponsorList.items.[INDEX].sponsoredVideosPerformance.comments.min","typeLabel":"integer"},"max":{"type":"integer","description":"Maximum number of comments across the last 20 sponsored YouTube videos.","minimum":0,"examples":[149],"isRequired":true,"uniqueKey":"data.sponsorList.items.[INDEX].sponsoredVideosPerformance.comments.max","typeLabel":"integer"}},"required":["all","avg","median","min","max"],"isRequired":true,"uniqueKey":"data.sponsorList.items.[INDEX].sponsoredVideosPerformance.comments","typeLabel":"object"},"views":{"type":"object","description":"View statistics for sponsored YouTube videos broken down by brands.","properties":{"all":{"type":"integer","description":"Total number of views across the last 20 sponsored YouTube videos.","minimum":0,"examples":[3599],"isRequired":true,"uniqueKey":"data.sponsorList.items.[INDEX].sponsoredVideosPerformance.views.all","typeLabel":"integer"},"avg":{"type":"integer","description":"Average views per video for the last 20 sponsored YouTube videos, rounded to an integer.","minimum":0,"examples":[100],"isRequired":true,"uniqueKey":"data.sponsorList.items.[INDEX].sponsoredVideosPerformance.views.avg","typeLabel":"integer"},"median":{"type":"integer","description":"Median number of views across the last 20 sponsored YouTube videos.","minimum":0,"examples":[48],"isRequired":true,"uniqueKey":"data.sponsorList.items.[INDEX].sponsoredVideosPerformance.views.median","typeLabel":"integer"},"min":{"type":"integer","description":"Minimum number of views across the last 20 sponsored YouTube videos.","minimum":0,"examples":[20],"isRequired":true,"uniqueKey":"data.sponsorList.items.[INDEX].sponsoredVideosPerformance.views.min","typeLabel":"integer"},"max":{"type":"integer","description":"Maximum number of views across the last 20 sponsored YouTube videos.","minimum":0,"examples":[149],"isRequired":true,"uniqueKey":"data.sponsorList.items.[INDEX].sponsoredVideosPerformance.views.max","typeLabel":"integer"},"percentile25":{"type":"integer","description":"The 25th percentile (first quartile) of views across the last 20 sponsored YouTube videos.","minimum":0,"examples":[35],"isRequired":true,"uniqueKey":"data.sponsorList.items.[INDEX].sponsoredVideosPerformance.views.percentile25","typeLabel":"integer"},"percentile75":{"type":"integer","description":"The 75th percentile (third quartile) of views across the last 20 sponsored YouTube videos.","minimum":0,"examples":[85],"isRequired":true,"uniqueKey":"data.sponsorList.items.[INDEX].sponsoredVideosPerformance.views.percentile75","typeLabel":"integer"},"iqr":{"type":"integer","description":"Interquartile range (IQR) of views, calculated as 25th to 75th percentile, representing the spread of the middle 50%.","minimum":0,"examples":[50],"isRequired":true,"uniqueKey":"data.sponsorList.items.[INDEX].sponsoredVideosPerformance.views.iqr","typeLabel":"integer"}},"required":["all","avg","median","min","max","percentile25","percentile75","iqr"],"isRequired":true,"uniqueKey":"data.sponsorList.items.[INDEX].sponsoredVideosPerformance.views","typeLabel":"object"},"length":{"type":"object","description":"Length statistics for sponsored YouTube videos broken down by brands.","properties":{"avg":{"type":"integer","description":"The average sponsored video length in seconds, rounded to an integer.","minimum":0,"examples":[180],"isRequired":true,"uniqueKey":"data.sponsorList.items.[INDEX].sponsoredVideosPerformance.length.avg","typeLabel":"integer"}},"required":["avg"],"isRequired":true,"uniqueKey":"data.sponsorList.items.[INDEX].sponsoredVideosPerformance.length","typeLabel":"object"},"engagement":{"type":"object","description":"Engagement performance metrics for sponsored YouTube videos broken down by brands.","properties":{"avgEngagementRate":{"type":"number","description":"Average engagement rate per sponsored video, rounded to 4th decimal place. \u003cbr /> - *Engagement Rate \u0026#61; (Likes + Comments)/ Views*","minimum":0,"examples":[0.5201],"isRequired":true,"uniqueKey":"data.sponsorList.items.[INDEX].sponsoredVideosPerformance.engagement.avgEngagementRate","typeLabel":"number"},"likesPerSubscriber":{"type":"number","description":"Average number of likes per subscriber for sponsored videos, rounded to 4th decimal place.","minimum":0,"examples":[0.1111],"isRequired":true,"uniqueKey":"data.sponsorList.items.[INDEX].sponsoredVideosPerformance.engagement.likesPerSubscriber","typeLabel":"number"},"commentsPerSubscriber":{"type":"number","description":"Average number of comments per subscriber for sponsored videos, rounded to 4th decimal place.","minimum":0,"examples":[0.1111],"isRequired":true,"uniqueKey":"data.sponsorList.items.[INDEX].sponsoredVideosPerformance.engagement.commentsPerSubscriber","typeLabel":"number"},"viewsPerSubscriber":{"type":"number","description":"Average number of views per subscriber for sponsored videos, rounded to 4th decimal place.","minimum":0,"examples":[0.1111],"isRequired":true,"uniqueKey":"data.sponsorList.items.[INDEX].sponsoredVideosPerformance.engagement.viewsPerSubscriber","typeLabel":"number"},"engagementConsistency":{"type":"object","description":"Consistency of engagement performance across sponsored videos broken down by brands.","properties":{"cv":{"type":"number","description":"*cv \u0026#61; Standard Deviation of Engagement Rate/ Mean Engagement Rate* \u003cbr />\n- The value is rounded to 4th decimal place. \u003cbr />\n- Lower values indicate more consistent performance. \u003cbr />\n- *A value of `0` indicates insufficient data.*","minimum":0,"examples":[0.1001],"isRequired":true,"uniqueKey":"data.sponsorList.items.[INDEX].sponsoredVideosPerformance.engagement.engagementConsistency.cv","typeLabel":"number"},"medianVsMean":{"type":"number","description":"*medianVsMean \u0026#61; Median Engagement Rate/ Mean Engagement Rate* \u003cbr />\n- The value is rounded to 4th decimal place. \u003cbr />\n- Values closer to `1` indicate more consistent performance. \u003cbr />\n- *A value of `0` indicates insufficient data.*","minimum":0,"examples":[0.9001],"isRequired":true,"uniqueKey":"data.sponsorList.items.[INDEX].sponsoredVideosPerformance.engagement.engagementConsistency.medianVsMean","typeLabel":"number"},"topBottomRatio":{"type":"number","description":"*topBottomRatio \u0026#61; avg(Top 3 Engagement)/avg(Bottom 3 Engagement)* \u003cbr />\n- The value is rounded to 4th decimal place. \u003cbr />\n- Lower ratios indicate more consistent performance. \u003cbr />\n- *A value of `0` indicates insufficient data.*","minimum":0,"examples":[1.2001],"isRequired":true,"uniqueKey":"data.sponsorList.items.[INDEX].sponsoredVideosPerformance.engagement.engagementConsistency.topBottomRatio","typeLabel":"number"},"consistencyScore":{"oneOf":[{"type":"integer","description":"*consistencyScore \u0026#61; 100 - [(cvScore\\*weight_cv) + (topBottomScore\\*weight_topBottom) + (medianVsMeanScore\\*weight_medianVsMean)]* \u003cbr />\n- The score is rounded to an integer. \u003cbr />\n- A higher score indicates more stable and consistent performance. \u003cbr />\n- If any of the three indicators is `0`, the `consistencyScore` will be `null`.","minimum":0,"maximum":100,"examples":[63],"isRequired":true,"uniqueKey":"data.sponsorList.items.[INDEX].sponsoredVideosPerformance.engagement.engagementConsistency.consistencyScore.oneOf.0","typeLabel":"integer"},{"type":"null","description":"*consistencyScore \u0026#61; 100 - [(cvScore\\*weight_cv) + (topBottomScore\\*weight_topBottom) + (medianVsMeanScore\\*weight_medianVsMean)]* \u003cbr />\n- The score is rounded to an integer. \u003cbr />\n- A higher score indicates more stable and consistent performance. \u003cbr />\n- If any of the three indicators is `0`, the `consistencyScore` will be `null`.","minimum":0,"maximum":100,"examples":[63],"isRequired":true,"uniqueKey":"data.sponsorList.items.[INDEX].sponsoredVideosPerformance.engagement.engagementConsistency.consistencyScore.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.sponsorList.items.[INDEX].sponsoredVideosPerformance.engagement.engagementConsistency.consistencyScore","typeLabel":"integer | null"},"consistencyLevel":{"oneOf":[{"type":"string","enum":["high","moderate","low",null],"description":"A qualitative label based on the `consistencyScore`: \u003cbr />\n- high: 81 - 100 \u003cbr />\n- moderate: 51 - 80 \u003cbr />\n- low: 0 - 50 \u003cbr />\n- Returns `null` when `consistencyScore` is `null`.","examples":["moderate"],"isRequired":true,"uniqueKey":"data.sponsorList.items.[INDEX].sponsoredVideosPerformance.engagement.engagementConsistency.consistencyLevel.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","enum":["high","moderate","low",null],"description":"A qualitative label based on the `consistencyScore`: \u003cbr />\n- high: 81 - 100 \u003cbr />\n- moderate: 51 - 80 \u003cbr />\n- low: 0 - 50 \u003cbr />\n- Returns `null` when `consistencyScore` is `null`.","examples":["moderate"],"isRequired":true,"uniqueKey":"data.sponsorList.items.[INDEX].sponsoredVideosPerformance.engagement.engagementConsistency.consistencyLevel.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.sponsorList.items.[INDEX].sponsoredVideosPerformance.engagement.engagementConsistency.consistencyLevel","typeLabel":"enum\u003cstring> | null"}},"required":["cv","medianVsMean","topBottomRatio","consistencyScore","consistencyLevel"],"isRequired":true,"uniqueKey":"data.sponsorList.items.[INDEX].sponsoredVideosPerformance.engagement.engagementConsistency","typeLabel":"object"}},"required":["avgEngagementRate","likesPerSubscriber","commentsPerSubscriber","viewsPerSubscriber","engagementConsistency"],"isRequired":true,"uniqueKey":"data.sponsorList.items.[INDEX].sponsoredVideosPerformance.engagement","typeLabel":"object"}},"required":["likes","comments","views","length","engagement"],"isRequired":true,"uniqueKey":"data.sponsorList.items.[INDEX].sponsoredVideosPerformance","typeLabel":"object"}},"required":["brandName","brandId","brandIgIds","sponsoredVideos","sponsoredVideosPerformance"],"uniqueKey":"data.sponsorList.items.[INDEX]","typeLabel":"object"},"isRequired":true,"uniqueKey":"data.sponsorList","typeLabel":"object[]"}},"required":["sponsorList"],"isRequired":true,"uniqueKey":"data","typeLabel":"object"},"creditsUsed":{"type":"number","description":"Number of API credits consumed by this request.","examples":[1],"isRequired":true,"uniqueKey":"creditsUsed","typeLabel":"number"},"creditsAvailable":{"type":"number","description":"Number of API credits remaining. Equals planCreditsAvailable plus purchasedCreditsAvailable.","examples":[-1],"isRequired":true,"uniqueKey":"creditsAvailable","typeLabel":"number"},"planCreditsAvailable":{"type":"number","description":"Remaining plan credits after this request, in credits.","examples":[900],"isRequired":true,"uniqueKey":"planCreditsAvailable","typeLabel":"number"},"purchasedCreditsAvailable":{"type":"number","description":"Remaining purchased-bucket credits after this request, in display units.","examples":[75],"isRequired":true,"uniqueKey":"purchasedCreditsAvailable","typeLabel":"number"},"traceId":{"type":"string","description":"Unique trace ID for each request.","examples":["f8e4a3b2c1d0e9f8a7b6c5d4e3f2a1b0"],"isRequired":true,"uniqueKey":"traceId","typeLabel":"string"},"timestamp":{"type":"integer","description":"Time the response was generated, represented as a Unix timestamp in milliseconds.","examples":[1750732453635],"isRequired":true,"uniqueKey":"timestamp","typeLabel":"integer"},"errorCode":{"type":"string","description":"Error code returned if the request fails. Empty if the request is successful.","examples":[""],"isRequired":true,"uniqueKey":"errorCode","typeLabel":"string"},"errorDescription":{"type":"string","description":"Description of the error. Empty if the request is successful.","examples":[""],"isRequired":true,"uniqueKey":"errorDescription","typeLabel":"string"},"success":{"type":"boolean","description":"`true` if the request is successful.","examples":[true],"isRequired":true,"uniqueKey":"success","typeLabel":"boolean"},"keyCreditsAvailable":{"type":"number","description":"Remaining credits this API key can spend after this request, before reaching its spend limit. Present only when the key has a spend limit.","examples":[4975],"uniqueKey":"keyCreditsAvailable","typeLabel":"number"}},"required":["data","traceId","timestamp","errorCode","errorDescription","success","creditsUsed","creditsAvailable","planCreditsAvailable","purchasedCreditsAvailable"],"uniqueKey":"","typeLabel":"object"},"examples":{"default":{"title":"default","value":{"data":{"sponsorList":[{"brandName":"Current","brandId":"current.com","brandIgIds":["current"],"sponsoredVideos":[{"publishTime":1757779201000,"contentId":"4l97aNza_Zc","title":"Survive 30 Days Chained To Your Ex, Win $250,000","description":"","length":2224,"isSponsored":true,"isMemberOnly":false,"likes":3747936,"comments":59717,"views":188712721,"engagementRate":0.0202,"hashtags":[]}],"sponsoredVideosPerformance":{"likes":{"all":3747936,"avg":3747936,"median":3747936,"min":3747936,"max":3747936},"comments":{"all":59717,"avg":59717,"median":59717,"min":59717,"max":59717},"views":{"all":188712721,"avg":188712721,"median":188712721,"min":188712721,"max":188712721},"engagement":{"avgEngagementRate":0.0202,"likesPerSubscriber":0.0082,"commentsPerSubscriber":0.0001,"viewsPerSubscriber":0.4111,"engagementConsistency":{"cv":0,"medianVsMean":1,"topBottomRatio":0,"consistencyScore":null,"consistencyLevel":null}}}},{"brandName":"Feastables","brandId":"feastables.com","brandIgIds":["feastables"],"sponsoredVideos":[{"publishTime":1757779201000,"contentId":"4l97aNza_Zc","title":"Survive 30 Days Chained To Your Ex, Win $250,000","description":"","length":2224,"isSponsored":true,"isMemberOnly":false,"likes":3747936,"comments":59717,"views":188712721,"engagementRate":0.0202,"hashtags":[]},{"publishTime":1756934693370,"contentId":"_AbFXuGDRTs","title":"$1 vs $1,000,000,000 Nuclear Bunker!","description":"","length":1038,"isSponsored":true,"isMemberOnly":false,"likes":2700000,"comments":35478,"views":137386751,"engagementRate":0.0199,"hashtags":[]},{"publishTime":1751750691470,"contentId":"hTSaweR8qMI","title":"$1 vs $500,000 Date","description":"","length":1042,"isSponsored":true,"isMemberOnly":false,"likes":3400000,"comments":60488,"views":157421489,"engagementRate":0.022,"hashtags":[]},{"publishTime":1743974692270,"contentId":"aKq8bkY5eTU","title":"I Survived The 5 Deadliest Places On Earth","description":"","length":803,"isSponsored":true,"isMemberOnly":false,"likes":3100000,"comments":54565,"views":165951430,"engagementRate":0.019,"hashtags":[]}],"sponsoredVideosPerformance":{"likes":{"all":12947936,"avg":3236984,"median":3250000,"min":2700000,"max":3747936},"comments":{"all":210248,"avg":52562,"median":57141,"min":35478,"max":60488},"views":{"all":649472391,"avg":162368098,"median":161686460,"min":137386751,"max":188712721},"engagement":{"avgEngagementRate":0.0203,"likesPerSubscriber":0.0071,"commentsPerSubscriber":0.0001,"viewsPerSubscriber":0.3537,"engagementConsistency":{"cv":0.0532,"medianVsMean":0.9889,"topBottomRatio":0,"consistencyScore":null,"consistencyLevel":null}}}},{"brandName":"Moose Toys","brandId":"moosetoys.com","brandIgIds":["moosetoys"],"sponsoredVideos":[{"publishTime":1756934691413,"contentId":"TDv56whosPQ","title":"Survive 100 Days In Prison, Win $500,000","description":"","length":2376,"isSponsored":true,"isMemberOnly":false,"likes":2900000,"comments":41450,"views":137375010,"engagementRate":0.0214,"hashtags":[]},{"publishTime":1741382692107,"contentId":"NDsO1LT_0lw","title":"I Spent 100 Hours Inside The Pyramids!","description":"","length":1303,"isSponsored":true,"isMemberOnly":false,"likes":5300000,"comments":100512,"views":223248378,"engagementRate":0.0242,"hashtags":[]}],"sponsoredVideosPerformance":{"likes":{"all":8200000,"avg":4100000,"median":4100000,"min":2900000,"max":5300000},"comments":{"all":141962,"avg":70981,"median":70981,"min":41450,"max":100512},"views":{"all":360623388,"avg":180311694,"median":180311694,"min":137375010,"max":223248378},"engagement":{"avgEngagementRate":0.0228,"likesPerSubscriber":0.0089,"commentsPerSubscriber":0.0002,"viewsPerSubscriber":0.3928,"engagementConsistency":{"cv":0.0609,"medianVsMean":1,"topBottomRatio":0,"consistencyScore":null,"consistencyLevel":null}}}},{"brandName":"DoorDash","brandId":"doordash.com","brandIgIds":["doordash"],"sponsoredVideos":[{"publishTime":1754342692574,"contentId":"pzBi1nwDn8U","title":"Survive 100 Days Trapped In A Private Jet, Keep It","description":"","length":1983,"isSponsored":true,"isMemberOnly":false,"likes":3400000,"comments":45636,"views":136277760,"engagementRate":0.0253,"hashtags":[]},{"publishTime":1746566692069,"contentId":"figrl0aOULs","title":"Click This Video To Feed 1 Person","description":"","length":629,"isSponsored":true,"isMemberOnly":false,"likes":4200000,"comments":73423,"views":74746546,"engagementRate":0.0572,"hashtags":[]}],"sponsoredVideosPerformance":{"likes":{"all":7600000,"avg":3800000,"median":3800000,"min":3400000,"max":4200000},"comments":{"all":119059,"avg":59530,"median":59530,"min":45636,"max":73423},"views":{"all":211024306,"avg":105512153,"median":105512153,"min":74746546,"max":136277760},"engagement":{"avgEngagementRate":0.0412,"likesPerSubscriber":0.0083,"commentsPerSubscriber":0.0001,"viewsPerSubscriber":0.2299,"engagementConsistency":{"cv":0.3867,"medianVsMean":1,"topBottomRatio":0,"consistencyScore":null,"consistencyLevel":null}}}},{"brandName":"Lenovo Group Limited","brandId":"lenovo.com","brandIgIds":["lenovo"],"sponsoredVideos":[{"publishTime":1754342692408,"contentId":"FWAdfuPpLOc","title":"World's Fastest Car Vs Cheetah!","description":"","length":1237,"isSponsored":true,"isMemberOnly":false,"likes":3300000,"comments":45929,"views":199699308,"engagementRate":0.0168,"hashtags":[]}],"sponsoredVideosPerformance":{"likes":{"all":3300000,"avg":3300000,"median":3300000,"min":3300000,"max":3300000},"comments":{"all":45929,"avg":45929,"median":45929,"min":45929,"max":45929},"views":{"all":199699308,"avg":199699308,"median":199699308,"min":199699308,"max":199699308},"engagement":{"avgEngagementRate":0.0168,"likesPerSubscriber":0.0072,"commentsPerSubscriber":0.0001,"viewsPerSubscriber":0.4351,"engagementConsistency":{"cv":0,"medianVsMean":1,"topBottomRatio":0,"consistencyScore":null,"consistencyLevel":null}}}},{"brandName":"T-Mobile","brandId":"t-mobile.com","brandIgIds":["tmobile"],"sponsoredVideos":[{"publishTime":1749158692180,"contentId":"DZIASl9q90s","title":"Beat Neymar, Win $500,000","description":"","length":1673,"isSponsored":true,"isMemberOnly":false,"likes":3500000,"comments":80356,"views":155611225,"engagementRate":0.023,"hashtags":[]},{"publishTime":1736343792866,"contentId":"Pv0iVoSZzN8","title":"In 10 Minutes This Room Will Explode!","description":"","length":600,"isSponsored":true,"isMemberOnly":false,"likes":4100000,"comments":77174,"views":163264294,"engagementRate":0.0256,"hashtags":[]}],"sponsoredVideosPerformance":{"likes":{"all":7600000,"avg":3800000,"median":3800000,"min":3500000,"max":4100000},"comments":{"all":157530,"avg":78765,"median":78765,"min":77174,"max":80356},"views":{"all":318875519,"avg":159437760,"median":159437760,"min":155611225,"max":163264294},"engagement":{"avgEngagementRate":0.0243,"likesPerSubscriber":0.0083,"commentsPerSubscriber":0.0002,"viewsPerSubscriber":0.3474,"engagementConsistency":{"cv":0.053,"medianVsMean":1,"topBottomRatio":0,"consistencyScore":null,"consistencyLevel":null}}}},{"brandName":"Jack Link's","brandId":"jacklinks.com","brandIgIds":["jacklinksjerky"],"sponsoredVideos":[{"publishTime":1749158692027,"contentId":"-4GmbBoYQjE","title":"I Survived 100 Hours In An Ancient Temple","description":"","length":946,"isSponsored":true,"isMemberOnly":false,"likes":2900000,"comments":77685,"views":124496850,"engagementRate":0.0239,"hashtags":[]}],"sponsoredVideosPerformance":{"likes":{"all":2900000,"avg":2900000,"median":2900000,"min":2900000,"max":2900000},"comments":{"all":77685,"avg":77685,"median":77685,"min":77685,"max":77685},"views":{"all":124496850,"avg":124496850,"median":124496850,"min":124496850,"max":124496850},"engagement":{"avgEngagementRate":0.0239,"likesPerSubscriber":0.0063,"commentsPerSubscriber":0.0002,"viewsPerSubscriber":0.2712,"engagementConsistency":{"cv":0,"medianVsMean":1,"topBottomRatio":0,"consistencyScore":null,"consistencyLevel":null}}}},{"brandName":"Lovesac","brandId":"lovesac.com","brandIgIds":["lovesac"],"sponsoredVideos":[{"publishTime":1741382692318,"contentId":"zajUgQLviwk","title":"Last to Leave Their Circle Wins $500,000","description":"","length":2318,"isSponsored":true,"isMemberOnly":false,"likes":3000000,"comments":83517,"views":192581549,"engagementRate":0.016,"hashtags":[]}],"sponsoredVideosPerformance":{"likes":{"all":3000000,"avg":3000000,"median":3000000,"min":3000000,"max":3000000},"comments":{"all":83517,"avg":83517,"median":83517,"min":83517,"max":83517},"views":{"all":192581549,"avg":192581549,"median":192581549,"min":192581549,"max":192581549},"engagement":{"avgEngagementRate":0.016,"likesPerSubscriber":0.0065,"commentsPerSubscriber":0.0002,"viewsPerSubscriber":0.4196,"engagementConsistency":{"cv":0,"medianVsMean":1,"topBottomRatio":0,"consistencyScore":null,"consistencyLevel":null}}}},{"brandName":"Prime Video","brandId":"primevideo.com","brandIgIds":["primevideo"],"sponsoredVideos":[{"publishTime":1737824401000,"contentId":"sF5LYGgKbUA","title":"Every Minute One Person Is Eliminated","description":"","length":2086,"isSponsored":true,"isMemberOnly":false,"likes":3091967,"comments":75443,"views":153625027,"engagementRate":0.0206,"hashtags":[]}],"sponsoredVideosPerformance":{"likes":{"all":3091967,"avg":3091967,"median":3091967,"min":3091967,"max":3091967},"comments":{"all":75443,"avg":75443,"median":75443,"min":75443,"max":75443},"views":{"all":153625027,"avg":153625027,"median":153625027,"min":153625027,"max":153625027},"engagement":{"avgEngagementRate":0.0206,"likesPerSubscriber":0.0067,"commentsPerSubscriber":0.0002,"viewsPerSubscriber":0.3347,"engagementConsistency":{"cv":0,"medianVsMean":1,"topBottomRatio":0,"consistencyScore":null,"consistencyLevel":null}}}},{"brandName":"Samsung Group","brandId":"samsung.com","brandIgIds":["samsungmobileusa"],"sponsoredVideos":[{"publishTime":1736343792709,"contentId":"4SNThp0YiU4","title":"50 YouTubers Fight For $1,000,000","description":"","length":2487,"isSponsored":true,"isMemberOnly":false,"likes":9600000,"comments":348633,"views":436135898,"engagementRate":0.0228,"hashtags":["#galaxyai"]},{"publishTime":1717257600000,"contentId":"U_LlX4t0A9I","title":"$10,000 Every Day You Survive In The Wilderness","description":"","length":1570,"isSponsored":true,"isMemberOnly":false,"likes":8785340,"comments":338387,"views":349556858,"engagementRate":0.0261,"hashtags":[]}],"sponsoredVideosPerformance":{"likes":{"all":18385340,"avg":9192670,"median":9192670,"min":8785340,"max":9600000},"comments":{"all":687020,"avg":343510,"median":343510,"min":338387,"max":348633},"views":{"all":785692756,"avg":392846378,"median":392846378,"min":349556858,"max":436135898},"engagement":{"avgEngagementRate":0.0245,"likesPerSubscriber":0.02,"commentsPerSubscriber":0.0007,"viewsPerSubscriber":0.8559,"engagementConsistency":{"cv":0.0673,"medianVsMean":1,"topBottomRatio":0,"consistencyScore":null,"consistencyLevel":null}}}},{"brandName":"Zaxby's","brandId":"zaxbys.com","brandIgIds":["realzaxbys"],"sponsoredVideos":[{"publishTime":1717257600000,"contentId":"U_LlX4t0A9I","title":"$10,000 Every Day You Survive In The Wilderness","description":"","length":1570,"isSponsored":true,"isMemberOnly":false,"likes":8785340,"comments":338387,"views":349556858,"engagementRate":0.0261,"hashtags":[]}],"sponsoredVideosPerformance":{"likes":{"all":8785340,"avg":8785340,"median":8785340,"min":8785340,"max":8785340},"comments":{"all":338387,"avg":338387,"median":338387,"min":338387,"max":338387},"views":{"all":349556858,"avg":349556858,"median":349556858,"min":349556858,"max":349556858},"engagement":{"avgEngagementRate":0.0261,"likesPerSubscriber":0.0191,"commentsPerSubscriber":0.0007,"viewsPerSubscriber":0.7616,"engagementConsistency":{"cv":0,"medianVsMean":1,"topBottomRatio":0,"consistencyScore":null,"consistencyLevel":null}}}}]},"creditsUsed":1,"creditsAvailable":975,"planCreditsAvailable":900,"purchasedCreditsAvailable":75,"traceId":"46985d83e466fcf19bd7b6a0fb4bd0d3","timestamp":1767923973919,"errorCode":"","errorDescription":"","success":true}}},"exampleType":"examples"}},"exampleType":"examples"},"f764c8d6-a995-49d3-963d-acad4edec17e":{"description":"Validation error.","content":{"application/json":{"schema":{"type":"object","title":"ValidationErrorResponse","properties":{"success":{"const":false,"isRequired":true,"uniqueKey":"success","typeLabel":"any"},"error":{"type":"string","isRequired":true,"uniqueKey":"error","typeLabel":"string"},"message":{"type":"string","isRequired":true,"uniqueKey":"message","typeLabel":"string"},"timestamp":{"type":"integer","isRequired":true,"uniqueKey":"timestamp","typeLabel":"integer"}},"required":["success","error","message","timestamp"],"uniqueKey":"","typeLabel":"ValidationErrorResponse · object"},"examples":{"missing identifier":{"title":"missing identifier","value":{"success":false,"error":"VALIDATION_ERROR","message":"Missing required identifier: 'channelId' or 'uniqueId'.","timestamp":1770099403116}},"invalid channelId":{"title":"invalid channelId","value":{"success":false,"error":"VALIDATION_ERROR","message":"Invalid 'channelId' format. YouTube channel IDs must start with 'UC' followed by 22 characters.","timestamp":1770099403116}}},"exampleType":"examples"}},"exampleType":"examples"},"d90d2e43-72e7-4402-812f-87f71997ce9c":{"description":"Exceeded quota or rate limit.","content":{"application/json":{"schema":{"type":"object","title":"QuotaErrorResponse","properties":{"success":{"const":false,"isRequired":true,"uniqueKey":"success","typeLabel":"any"},"error":{"type":"string","isRequired":true,"uniqueKey":"error","typeLabel":"string"},"message":{"type":"string","isRequired":true,"uniqueKey":"message","typeLabel":"string"},"remainingPlanCredit":{"type":"number","isRequired":true,"uniqueKey":"remainingPlanCredit","typeLabel":"number"}},"required":["success","error","message","remainingPlanCredit"],"uniqueKey":"","typeLabel":"QuotaErrorResponse · object"},"examples":{"rate limit":{"title":"rate limit","value":{"success":false,"error":"RATE_LIMIT_EXCEEDED","message":"Too many requests. Please try again later."}},"quota exceeded":{"title":"quota exceeded","value":{"success":false,"error":"QUOTA_EXCEEDED","message":"Not enough credits to complete this request."}}},"exampleType":"examples"}},"exampleType":"examples"}},"security":{"a39bc0e0-54d6-4a5a-b8f1-dcc9de811725":{"ApiKeyAuth":{"type":"apiKey","description":"The valid CreatorDB API key for authentication.","name":"api-key","in":"header","scopes":[],"schemeName":"ApiKeyAuth"}}},"servers":{"127c18f5-e778-4004-8f05-14e96137b0f7":{"url":"https://apiv3.creatordb.app","description":"Production Environment (CreatorDB Headless API V3)"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"apiKey","description":"The valid CreatorDB API key for authentication.","name":"api-key","in":"header","scopes":[],"schemeName":"ApiKeyAuth"},"schema":{"title":"api-key","type":"string","description":"The valid CreatorDB API key for authentication.","isRequired":true,"typeLabel":"string","deprecated":false},"schemeName":"ApiKeyAuth","name":"api-key"}],"title":"ApiKeyAuth"}]},"originalFileLocation":"api-v3/api-v3.yaml"},"subdomain":"creatordb-589c46f5","siteName":"CreatorDB Documentation Center","title":"Get Sponsorship Information - CreatorDB Documentation Center","navMaps":{"firstHrefInVersion":{"3.0":{"href":"/api-reference/youtube/get-sponsorship-information","matchLevel":0},"2.0":{"href":"/api-reference/general-operations/get-api-credit-status","matchLevel":2}},"firstHrefInLanguage":{}},"originalFileLocation":"api-reference/youtube/get-sponsorship-information.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Retrieve recent YouTube videos identified as sponsored content for a specific creator, with metadata and engagement insights for influencer marketing analysis.Optionally pass fields in the request body to limit how many sponsoring brands are returned. You are billed per brand returned, capped at the full-bundle price. Fractional calls must be enabled on your API key. Otherwise, a request that includes fields returns a 400 error (FractionalCallsNotEnabled). For per-brand costs, see Field and Item Costs. For how fractional calls work, see Fractional Calls.\">\u003cmeta data-mint-head name=\"application-name\" content=\"CreatorDB Documentation Center\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/creatordb-589c46f5/MCBADQ1JRpces4eF/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/creatordb-589c46f5/MCBADQ1JRpces4eF/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/creatordb-589c46f5/MCBADQ1JRpces4eF/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/creatordb-589c46f5/MCBADQ1JRpces4eF/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/creatordb-589c46f5/MCBADQ1JRpces4eF/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/creatordb-589c46f5/MCBADQ1JRpces4eF/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/creatordb-589c46f5/MCBADQ1JRpces4eF/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/creatordb-589c46f5/MCBADQ1JRpces4eF/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/creatordb-589c46f5/MCBADQ1JRpces4eF/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Get Sponsorship Information - CreatorDB Documentation Center\">\u003cmeta data-mint-head property=\"og:description\" content=\"Retrieve recent YouTube videos identified as sponsored content for a specific creator, with metadata and engagement insights for influencer marketing analysis.Optionally pass fields in the request body to limit how many sponsoring brands are returned. You are billed per brand returned, capped at the full-bundle price. Fractional calls must be enabled on your API key. Otherwise, a request that includes fields returns a 400 error (FractionalCallsNotEnabled). For per-brand costs, see Field and Item Costs. For how fractional calls work, see Fractional Calls.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"CreatorDB Documentation Center\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.creatordb.app/api-reference/youtube/get-sponsorship-information\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://creatordb-589c46f5.mintlify.app/_mintlify/api/og/v2?division=YouTube\u0026amp;title=Get+Sponsorship+Information\u0026amp;description=Retrieve+recent+YouTube+videos+identified+as+sponsored+content+for+a+specific+creator%2C+with+metadata+and+engagement+insights+for+influencer+marketing+analysis.%3C\u0026amp;theme=4f6f7d6d515d76d22bdf1025\u0026amp;signature=6912008dab500d3cfd62d7bb9111dbfe0be4c0ac13563cd82b7470e5a5c54eda\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Get Sponsorship Information - CreatorDB Documentation Center\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Retrieve recent YouTube videos identified as sponsored content for a specific creator, with metadata and engagement insights for influencer marketing analysis.Optionally pass fields in the request body to limit how many sponsoring brands are returned. You are billed per brand returned, capped at the full-bundle price. Fractional calls must be enabled on your API key. Otherwise, a request that includes fields returns a 400 error (FractionalCallsNotEnabled). For per-brand costs, see Field and Item Costs. For how fractional calls work, see Fractional Calls.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://creatordb-589c46f5.mintlify.app/_mintlify/api/og/v2?division=YouTube\u0026amp;title=Get+Sponsorship+Information\u0026amp;description=Retrieve+recent+YouTube+videos+identified+as+sponsored+content+for+a+specific+creator%2C+with+metadata+and+engagement+insights+for+influencer+marketing+analysis.%3C\u0026amp;theme=4f6f7d6d515d76d22bdf1025\u0026amp;signature=6912008dab500d3cfd62d7bb9111dbfe0be4c0ac13563cd82b7470e5a5c54eda\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/creatordb-589c46f5/MCBADQ1JRpces4eF/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"CreatorDB Documentation Center\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#FF6117\">\u003cmeta data-mint-head name=\"og:locale\" content=\"en_US\">\u003cmeta data-mint-head name=\"format-detection\" content=\"telephone=no\">\u003cmeta data-mint-head name=\"author\" content=\"CreatorDB\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.creatordb.app/api-reference/youtube/get-sponsorship-information\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/youtube/get-sponsorship-information.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.creatordb.app/#organization\",\"name\":\"CreatorDB Documentation Center\",\"url\":\"https://docs.creatordb.app\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/creatordb-589c46f5/p1h2Yy8EOiZPNCnz/logo/light.svg?fit=max\u0026auto=format\u0026n=p1h2Yy8EOiZPNCnz\u0026q=85\u0026s=4247a5684fe8a3c6f7c5ccb4e0993a4b\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.creatordb.app#website\",\"name\":\"CreatorDB Documentation Center\",\"url\":\"https://docs.creatordb.app\",\"publisher\":{\"@id\":\"https://docs.creatordb.app/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.creatordb.app/api-reference/youtube/get-sponsorship-information#webpage\",\"url\":\"https://docs.creatordb.app/api-reference/youtube/get-sponsorship-information\",\"name\":\"Get Sponsorship Information\",\"description\":\"Retrieve recent YouTube videos identified as sponsored content for a specific creator, with metadata and engagement insights for influencer marketing analysis.Optionally pass fields in the request body to limit how many sponsoring brands are returned. You are billed per brand returned, capped at the full-bundle price. Fractional calls must be enabled on your API key. Otherwise, a request that includes fields returns a 400 error (FractionalCallsNotEnabled). For per-brand costs, see Field and Item Costs. For how fractional calls work, see Fractional Calls.\",\"isPartOf\":{\"@id\":\"https://docs.creatordb.app#website\"},\"breadcrumb\":{\"@id\":\"https://docs.creatordb.app/api-reference/youtube/get-sponsorship-information#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.creatordb.app/api-reference/youtube/get-sponsorship-information#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"API Endpoints\",\"item\":\"https://docs.creatordb.app/api-reference/general-operations/get-api-usage\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"YouTube\",\"item\":\"https://docs.creatordb.app/api-reference/youtube/search-creators\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Get Sponsorship Information\",\"item\":\"https://docs.creatordb.app/api-reference/youtube/get-sponsorship-information\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.creatordb.app/api-reference/youtube/get-sponsorship-information#apireference\",\"headline\":\"Get Sponsorship Information\",\"name\":\"Get Sponsorship Information\",\"description\":\"Retrieve recent YouTube videos identified as sponsored content for a specific creator, with metadata and engagement insights for influencer marketing analysis.Optionally pass fields in the request body to limit how many sponsoring brands are returned. You are billed per brand returned, capped at the full-bundle price. Fractional calls must be enabled on your API key. Otherwise, a request that includes fields returns a 400 error (FractionalCallsNotEnabled). For per-brand costs, see Field and Item Costs. For how fractional calls work, see Fractional Calls.\",\"url\":\"https://docs.creatordb.app/api-reference/youtube/get-sponsorship-information\",\"mainEntityOfPage\":{\"@id\":\"https://docs.creatordb.app/api-reference/youtube/get-sponsorship-information#webpage\"},\"publisher\":{\"@id\":\"https://docs.creatordb.app/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.creatordb.app#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"CreatorDB Documentation Center\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"CreatorDB Documentation Center","nav":{"global":null,"products":[{"product":"CreatorDB API","icon":"webhook","description":"Documentation for the CreatorDB API","versions":[{"version":"3.0","tabs":[{"tab":"API Reference","icon":"ServerCog","groups":[{"group":"Getting Started","icon":"Rocket","pages":[{"title":"Introduction","mode":"wide","href":"/api-v3/introduction"},{"title":"Authentication","mode":"wide","href":"/api-v3/authentication"},{"title":"Quickstart","mode":"wide","href":"/api-v3/quickstart"},{"title":"Data Methodology","mode":"default","href":"/api-v3/data-methodology"}]},{"group":"User Guides","icon":"Notebook","pages":[{"title":"Using Natural Language Search","mode":"default","href":"/api-v3/using_natural_language_search"},{"title":"Creator Custom Search Filters","mode":"wide","href":"/api-v3/creator-custom-search-filters"},{"title":"Configuring Custom Search Filters and Examples","mode":"wide","href":"/api-v3/configuring_advanced_search_filters"},{"title":"Submitting Creators","mode":"default","href":"/api-v3/submitting-creators"},{"title":"Downloading YouTube Video Subtitles","mode":"default","href":"/api-v3/downloading-youtube-video-subtitles"},{"title":"Fractional Calls","href":"/api-v3/fractional-calls"},{"title":"Field and Item Costs","href":"/api-v3/field-and-item-costs"},{"title":"API Credit Usage","mode":"wide","href":"/api-v3/api-credit-usage"}]},{"group":"API Endpoints","icon":"square-chevron-right","pages":[{"group":"General Operations","pages":[{"title":"Get API Usage","deprecated":null,"version":null,"openapi":"/api-v3/api-v3.yaml get /usage","href":"/api-reference/general-operations/get-api-usage"}]},{"group":"AI Search","pages":[{"title":"Natural Language Search","deprecated":null,"version":null,"openapi":"/api-v3/api-v3.yaml post /nls","href":"/api-reference/ai-search/natural-language-search"}]},{"group":"YouTube","pages":[{"title":"Search Creators","deprecated":null,"version":null,"openapi":"/api-v3/api-v3.yaml post /youtube/search","href":"/api-reference/youtube/search-creators"},{"title":"Submit Creators","deprecated":null,"version":null,"openapi":"/api-v3/api-v3.yaml post /youtube/submitCreators","href":"/api-reference/youtube/submit-creators"},{"title":"Get Profile Information","deprecated":null,"version":null,"openapi":"/api-v3/api-v3.yaml post /youtube/profile","href":"/api-reference/youtube/get-profile-information"},{"title":"Get Contact","deprecated":null,"version":null,"openapi":"/api-v3/api-v3.yaml post /youtube/contact","href":"/api-reference/youtube/get-contact"},{"title":"Get Performance Information","deprecated":null,"version":null,"openapi":"/api-v3/api-v3.yaml post /youtube/performance","href":"/api-reference/youtube/get-performance-information"},{"title":"Get Performance History","deprecated":null,"version":null,"openapi":"/api-v3/api-v3.yaml get /youtube/performance-history","href":"/api-reference/youtube/get-performance-history"},{"title":"Get Audience Demographics","deprecated":null,"version":null,"openapi":"/api-v3/api-v3.yaml post /youtube/audience","href":"/api-reference/youtube/get-audience-demographics"},{"title":"Get Content Details","description":"Retrieve the most recent YouTube videos and shorts of a specified creator, including publish time, video or short description, and engagement metrics.\u003cbr />\u003cbr />Optionally pass `fields` in the request body to limit how many items each content-detail array returns. Each item returned is billed individually, capped at the full-bundle price. Fractional calls must be enabled on your API key. Otherwise, a request that includes `fields` returns a `400` error (`FractionalCallsNotEnabled`). For per-item costs, see [Field and Item Costs](/api-v3/field-and-item-costs#youtube/content-detail). For how fractional calls work, see [Fractional Calls](/api-v3/fractional-calls).","deprecated":null,"version":null,"openapi":"/api-v3/api-v3.yaml post /youtube/content-detail","href":"/api-reference/youtube/get-content-details"},{"title":"Get Sponsorship Information","deprecated":null,"version":null,"openapi":"/api-v3/api-v3.yaml post /youtube/sponsorship","href":"/api-reference/youtube/get-sponsorship-information"},{"title":"List Topics","description":"Retrieve all available YouTube topics with their categories and creator count. Topics are used for categorizing YouTube creators based on their content themes.","deprecated":null,"version":null,"openapi":"/api-v3/api-v3.yaml get /youtube/topics","href":"/api-reference/youtube/list-topics"},{"title":"List Niches","deprecated":null,"version":null,"openapi":"/api-v3/api-v3.yaml get /youtube/niches","href":"/api-reference/youtube/list-niches"},{"title":"Get Video Subtitles","deprecated":null,"version":null,"openapi":"/api-v3/api-v3.yaml get /youtube/subtitles/meta","href":"/api-reference/youtube/get-video-subtitles"},{"title":"Download Video Subtitles","deprecated":null,"version":null,"openapi":"/api-v3/api-v3.yaml get /youtube/subtitles/download","href":"/api-reference/youtube/download-video-subtitles"}]},{"group":"Instagram","pages":[{"title":"Search Creators","deprecated":null,"version":null,"openapi":"/api-v3/api-v3.yaml post /instagram/search","href":"/api-reference/instagram/search-creators"},{"title":"Submit Creators","deprecated":null,"version":null,"openapi":"/api-v3/api-v3.yaml post /instagram/submitCreators","href":"/api-reference/instagram/submit-creators"},{"title":"Get Profile Information","deprecated":null,"version":null,"openapi":"/api-v3/api-v3.yaml post /instagram/profile","href":"/api-reference/instagram/get-profile-information"},{"title":"Get Contact","deprecated":null,"version":null,"openapi":"/api-v3/api-v3.yaml post /instagram/contact","href":"/api-reference/instagram/get-contact"},{"title":"Get Performance Information","deprecated":null,"version":null,"openapi":"/api-v3/api-v3.yaml post /instagram/performance","href":"/api-reference/instagram/get-performance-information"},{"title":"Get Performance History","deprecated":null,"version":null,"openapi":"/api-v3/api-v3.yaml get /instagram/performance-history","href":"/api-reference/instagram/get-performance-history"},{"title":"Get Audience Demographics","deprecated":null,"version":null,"openapi":"/api-v3/api-v3.yaml post /instagram/audience","href":"/api-reference/instagram/get-audience-demographics"},{"title":"Get Content Details","deprecated":null,"version":null,"openapi":"/api-v3/api-v3.yaml post /instagram/content-detail","href":"/api-reference/instagram/get-content-details"},{"title":"Get Sponsorship Information","deprecated":null,"version":null,"openapi":"/api-v3/api-v3.yaml post /instagram/sponsorship","href":"/api-reference/instagram/get-sponsorship-information"},{"title":"List Niches","deprecated":null,"version":null,"openapi":"/api-v3/api-v3.yaml get /instagram/niches","href":"/api-reference/instagram/list-niches"}]},{"group":"TikTok","pages":[{"title":"Search Creators","deprecated":null,"version":null,"openapi":"/api-v3/api-v3.yaml post /tiktok/search","href":"/api-reference/tiktok/search-creators"},{"title":"Submit Creators","deprecated":null,"version":null,"openapi":"/api-v3/api-v3.yaml post /tiktok/submitCreators","href":"/api-reference/tiktok/submit-creators"},{"title":"Get Profile Information","deprecated":null,"version":null,"openapi":"/api-v3/api-v3.yaml post /tiktok/profile","href":"/api-reference/tiktok/get-profile-information"},{"title":"Get Contact","deprecated":null,"version":null,"openapi":"/api-v3/api-v3.yaml post /tiktok/contact","href":"/api-reference/tiktok/get-contact"},{"title":"Get Performance Information","deprecated":null,"version":null,"openapi":"/api-v3/api-v3.yaml post /tiktok/performance","href":"/api-reference/tiktok/get-performance-information"},{"title":"Get Performance History","deprecated":null,"version":null,"openapi":"/api-v3/api-v3.yaml get /tiktok/performance-history","href":"/api-reference/tiktok/get-performance-history"},{"title":"Get Audience Demographics","deprecated":null,"version":null,"openapi":"/api-v3/api-v3.yaml post /tiktok/audience","href":"/api-reference/tiktok/get-audience-demographics"},{"title":"Get Content Details","deprecated":null,"version":null,"openapi":"/api-v3/api-v3.yaml post /tiktok/content-detail","href":"/api-reference/tiktok/get-content-details"},{"title":"List Niches","deprecated":null,"version":null,"openapi":"/api-v3/api-v3.yaml get /tiktok/niches","href":"/api-reference/tiktok/list-niches"}]},{"group":"Sponsor","pages":[{"title":"Search Brands","deprecated":null,"version":null,"openapi":"/api-v3/api-v3.yaml post /sponsor/search","href":"/api-reference/sponsor/search-brands"},{"title":"Submit Brand","deprecated":null,"version":null,"openapi":"/api-v3/api-v3.yaml post /sponsor/submit","href":"/api-reference/sponsor/submit-brand"},{"title":"Get Brand Information","deprecated":null,"version":null,"openapi":"/api-v3/api-v3.yaml get /sponsor/information","href":"/api-reference/sponsor/get-brand-information"},{"title":"List Brands","deprecated":null,"version":null,"openapi":"/api-v3/api-v3.yaml get /sponsor/list","href":"/api-reference/sponsor/list-brands"},{"title":"List Sponsored Creators","deprecated":null,"version":null,"openapi":"/api-v3/api-v3.yaml get /sponsor/creators","href":"/api-reference/sponsor/list-sponsored-creators"},{"title":"Get Sponsored Creator Performance","deprecated":null,"version":null,"openapi":"/api-v3/api-v3.yaml get /sponsor/performance","href":"/api-reference/sponsor/get-sponsored-creator-performance"},{"title":"Get Sponsored Creator Demographics","deprecated":null,"version":null,"openapi":"/api-v3/api-v3.yaml get /sponsor/audience","href":"/api-reference/sponsor/get-sponsored-creator-demographics"},{"title":"Get Brand Summary","deprecated":null,"version":null,"openapi":"/api-v3/api-v3.yaml get /sponsor/summary","href":"/api-reference/sponsor/get-brand-summary"}]}]},{"group":"Filter Value References","icon":"book-user","pages":[{"title":"YouTube Channel Categories","mode":"wide","href":"/api-v3/youtube-categories"},{"title":"Instagram Categories","mode":"default","href":"/api-v3/instagram-categories"},{"title":"Country Codes","mode":"wide","href":"/api-v3/country-code"},{"title":"Language Codes","mode":"wide","href":"/api-v3/language-code"},{"title":"Industry List","mode":"default","href":"/api-v3/industry-list"}]},{"group":"Troubleshooting and FAQs","icon":"hammer","pages":[{"title":"Error Codes","mode":"default","href":"/api-v3/error-code"}]}]},{"tab":"Changelog","icon":"logs","pages":[{"title":"Changelog","href":"/api-v3/changelog"}]}]},{"version":"2.0","pages":[{"title":"2.0","href":"/api-reference/general-operations/get-api-credit-status"}]}]},{"product":"CreatorDB MCP Server","icon":"server","description":"Documentation about CreatorDB's MCP server and services","pages":[{"title":"CreatorDB MCP Server","href":"/mcp-server/setting-up-the-creatordb-mcp-connector"}]},{"product":"CreatorDB App","icon":"app-window","description":"Documentation for the CreatorDB web platform","pages":[{"title":"CreatorDB App","href":"/creatordb_app/getting_started/getting_started"}]},{"product":"Creator Analytics by CreatorDB","icon":"square-mouse-pointer","description":"Documentation for the CreatorDB Chrome Extension","pages":[{"title":"Creator Analytics by CreatorDB","href":"/creatordb_app/extension/about"}]}]},"title":"Get Sponsorship Information - CreatorDB Documentation Center","buildId":"dpl_DFJrtvUi8HS5F9nkooKuDJsuD5BM","deploymentId":"dpl_DFJrtvUi8HS5F9nkooKuDJsuD5BM","dynamics":["c2aa737661","b0f84f53ff","a9bb46feb3","2b790eda92"],"chunks":["OpenApiReferenceProvider-rfhihCWU.js","utils-BmH1XFxk.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-BcNsxPKB.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-BAES3tkd.js","snippetPresets-DCMQBKLP.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","Page-D5fEM6aW.js","ApiExamples-D6l_bzE9.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-BOktbnNh.js","shallow-BCs8SgM7.js","getApiPlaygroundDisplay-DEmW5bJB.js","CodeSnippet-CpZOpB9C.js","CodeSnippets-BOBDqibl.js","getPastedJson-DH2JBvmr.js","icon-BBJH-kKh.js","MethodPill-D2Sd5NLC.js","DuplicateIcon-CGgfL2qN.js","createIcon-BKudBBzi.js","DynamicMarkdown-85clUA0i.js","SectionHeading-D0JiMgDx.js","axios-vUo_bRtp.js","Markdown-Cfiy0xZO.js","clsx-rL8ZCCw4.js","lib--scc4DXi.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-aeztFa9U.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-BywkCr5C.js"]}